%define module_name Template-Plugin-Filter-IDN
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Net/IDN/Encode.pm) perl(Pod/Coverage/TrustPod.pm) perl(Template/Plugin/Filter.pm) perl(Template/Test.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Signature.pm) perl(parent.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Template Toolkit plugin for encoding and decoding International Domain Names.
Group: Development/Perl
License: perl
URL: https://github.com/mschout/perl-template-plugin-filter-idn

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSCHOUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a Template Toolkit filter which handles conversion of International
Domain Names from UTF-8 to ASCII (in Punycode encoding) and vice versa.

=for Pod::Coverage init filter

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/T*

%changelog
* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Wed Jun 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

